## tp-versao 6.1.1

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
PREFIX=$(USRSHAREBASE)/pixmaps/
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
FILE=tdi-wallpaper.jpg
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	#[ -d $(DESTDIR)/$(PREFIX) ] || mkdir -p $(DESTDIR)/$(PREFIX)
	#cp -a tdi-wallpaper-200802.jpg $(DESTDIR)/$(PREFIX)/$(FILE)
	[ -d $(DESTDIR)/$(ETCDIR) ] || mkdir -p $(DESTDIR)/$(ETCDIR)
	echo "$(DEBVER)" > $(DESTDIR)/$(ETCDIR)/$(PACKNAME)
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-versao (6.1.1) squeeze; urgency=low

  * Update Makefile to version 0.24
  * Update debian/rules to version 0.24
  * Fix lintian messages

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Sat, 09 Feb 2013 19:55:20 +0000

tp-versao (6.1.0) squeeze; urgency=low

  * Now longer depends on kernel.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Fri, 08 Feb 2013 19:42:19 +0000

tp-versao (6.0.0) updates; urgency=low

  * Makefile updated to v0.17
  * Versão actualizada para as imagens com Debian 6.0

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 26 Aug 2011 18:55:44 +0100

tp-versao (5.9.2) updates; urgency=low

  * Depends on new vewsion for tp-aklog, the remote kerberos server have
    lost support for Kerberos IV.
  * Makefile updated to v0.13

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 14 Feb 2011 17:11:16 +0000

tp-versao (5.9.1) updates; urgency=low

  * New release for 2010/2011 2º Semester
  * Bump depends on tp-conf-lti-hardware to 0.19
  * Changed to a native package

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 11 Feb 2011 14:43:46 +0000

tp-versao (5.8-6) updates; urgency=low

  * Makefile updated
  * Fix some lintian warnings

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 27 Dec 2010 20:38:44 +0000

tp-versao (5.8-5) updates; urgency=low

  * Remove depends on 2.6.24-etchnhalf.
  * Depends on 2.6.32 from backports.
  * Bumps depends version to 0.16 for tp-conf-lti-hardware package.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 21 Sep 2010 16:34:49 +0100

tp-versao (5.8-4) updates; urgency=low

  * Added support for new model Acer m670g
  * Kernel 2.6.24-etchalf is replaced by 2.6.32-bpo.4

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 11 May 2010 20:57:24 +0100

tp-versao (5.8-3) updates; urgency=low

  * Added software for Arquitecturas Computacionais para Sistemas Multimédia (ACSM)

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 23 Feb 2010 19:53:50 +0000

tp-versao (5.8-2) updates; urgency=low

  * Software was updated for 2 Semester of 2009/2010

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 15 Feb 2010 17:18:17 +0000

tp-versao (5.8-1) updates; urgency=low

  * Base software was upgraded for lenny, bumping version.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Sep 2009 14:12:24 +0100

tp-versao (5.7-3) updates; urgency=low

  * added support for lenny kernels

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 16 Mar 2009 19:19:02 +0000

tp-versao (5.7-2) updates; urgency=low

  * etchnhalf kernel 
  * support para Nec ML470
  * etchnhalf updates

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 Aug 2008 13:26:08 +0100

tp-versao (5.7-1) updates; urgency=low

  * xfce4 é agora a sessão por omissão em vez do GNOME
  * pgadmin III
  * wallpaper perdeu as referencias à versão e URL com informação

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 18 Jul 2008 13:04:12 +0100

tp-versao (5.6.5-2) updates; urgency=low

  * Versão para o 1º Semestre de 2007/2008.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 16 Jul 2007 16:34:35 +0100

tp-versao (5.6.5-1) experimental; urgency=low

  * Versão para o 2º Semestre de 2006/2007 usando a distribuição etch. 

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 14 Jan 2007 19:31:56 +0000

tp-versao (5.6-1) unstable; urgency=low

  * Versão para o 1º Semestre de 2005/2006.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 29 Aug 2005 18:25:16 +0100

tp-versao (5.5-1) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 10 Mar 2005 20:34:26 +0000

=== debian/control ===
Source: tp-versao
Section: dsi
Priority: optional
Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.9.4

Package: tp-versao
Architecture: all
Depends: tp-conf-hostname, tp-conf-lti-hardware (>= 0.19), 
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: tp-aklog (<= 0.7)
Recommends: 
Description: Indica a versão do software nos laboratórios do Taguspark
 Através das dependencias garante as versões minimas dos programas
 para satisfazer a versão corrente do software nos laboratórios.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.22

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch configure-stamp


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
